Index: code/branches/gcc43/src/asylum/loader/LevelLoader.h
===================================================================
--- code/branches/gcc43/src/asylum/loader/LevelLoader.h	(revision 1581)
+++ code/branches/gcc43/src/asylum/loader/LevelLoader.h	(revision 1634)
@@ -30,7 +30,7 @@
 
     // Getters
-    inline std::string name() {return name_; };
-    inline std::string description() {return description_; };
-    inline std::string image() {return image_; };
+    std::string name() {return name_; };
+    std::string description() {return description_; };
+    std::string image() {return image_; };
   private:
     //! Level information
Index: code/branches/gcc43/src/asylum/util/String2Number.h
===================================================================
--- code/branches/gcc43/src/asylum/util/String2Number.h	(revision 1581)
+++ code/branches/gcc43/src/asylum/util/String2Number.h	(revision 1634)
@@ -66,5 +66,5 @@
    * should be one of std::hex, std::dec or std::oct (dec is default value)
    */
-  inline String2Number(T& t, const std::string& s, std::ios_base& (*f)(std::ios_base&) =  std::dec, int haltOnError=1)
+  String2Number(T& t, const std::string& s, std::ios_base& (*f)(std::ios_base&) =  std::dec, int haltOnError=1)
   {
     std::istringstream iss(s);
Index: code/branches/gcc43/src/asylum/util/Tokenizer.h
===================================================================
--- code/branches/gcc43/src/asylum/util/Tokenizer.h	(revision 1581)
+++ code/branches/gcc43/src/asylum/util/Tokenizer.h	(revision 1634)
@@ -44,5 +44,5 @@
  */
 
-inline std::vector<std::string> tokenize(const std::string& str, const std::string& delimiters = ",")
+std::vector<std::string> tokenize(const std::string& str, const std::string& delimiters = ",")
 {
   std::vector<std::string> tokens;
Index: code/branches/gcc43/src/audio/AudioStream.h
===================================================================
--- code/branches/gcc43/src/audio/AudioStream.h	(revision 1581)
+++ code/branches/gcc43/src/audio/AudioStream.h	(revision 1634)
@@ -53,5 +53,5 @@
       bool playing();
       bool update();
-      inline bool isLoaded() { return loaded; }
+      bool isLoaded() { return loaded; }
 
     protected:
Index: code/branches/gcc43/src/core/BaseObject.h
===================================================================
--- code/branches/gcc43/src/core/BaseObject.h	(revision 1581)
+++ code/branches/gcc43/src/core/BaseObject.h	(revision 1634)
@@ -56,40 +56,40 @@
 
             /** @brief Returns if the object was initialized (passed the object registration). @return True was the object is initialized */
-            inline bool isInitialized() const { return this->bInitialized_; }
+            bool isInitialized() const { return this->bInitialized_; }
 
             /** @brief Sets the name of the object. @param name The name */
-            inline void setName(const std::string& name) { this->name_ = name; this->changedName(); }
+            void setName(const std::string& name) { this->name_ = name; this->changedName(); }
             /** @brief Returns the name of the object. @return The name */
-            inline const std::string& getName() const { return this->name_; }
+            const std::string& getName() const { return this->name_; }
             /** @brief This function gets called if the name of the object changes. */
             virtual void changedName() {}
 
             /** @brief Sets the state of the objects activity. @param bActive True = active */
-            inline void setActivity(bool bActive) { this->bActive_ = bActive; this->changedActivity(); }
+            void setActivity(bool bActive) { this->bActive_ = bActive; this->changedActivity(); }
             /** @brief Returns the state of the objects activity. @return The state of the activity */
-            inline bool isActive() const { return this->bActive_; }
+            bool isActive() const { return this->bActive_; }
             /** @brief This function gets called if the activity of the object changes. */
             virtual void changedActivity() {}
 
             /** @brief Sets the state of the objects visibility. @param bVisible True = visible */
-            inline void setVisibility(bool bVisible) { this->bVisible_ = bVisible; this->changedVisibility(); }
+            void setVisibility(bool bVisible) { this->bVisible_ = bVisible; this->changedVisibility(); }
             /** @brief Returns the state of the objects visibility. @return The state of the visibility */
-            inline bool isVisible() const { return this->bVisible_; }
+            bool isVisible() const { return this->bVisible_; }
             /** @brief This function gets called if the visibility of the object changes. */
             virtual void changedVisibility() {}
 
             /** @brief Sets a pointer to the level that loaded this object. @param level The pointer to the level */
-            inline void setLevel(const Level* level) { this->level_ = level; }
+            void setLevel(const Level* level) { this->level_ = level; }
             /** @brief Returns a pointer to the level that loaded this object. @return The level */
-            inline const Level* getLevel() const { return this->level_; }
+            const Level* getLevel() const { return this->level_; }
             const std::string& getLevelfile() const;
 
-            virtual inline void setNamespace(Namespace* ns) { this->namespace_ = ns; }
-            inline Namespace* getNamespace() const { return this->namespace_; }
+            virtual void setNamespace(Namespace* ns) { this->namespace_ = ns; }
+            Namespace* getNamespace() const { return this->namespace_; }
 
             /** @brief Sets the indentation of the debug output in the Loader. @param indentation The indentation */
-            inline void setLoaderIndentation(const std::string& indentation) { this->loaderIndentation_ = indentation; }
+            void setLoaderIndentation(const std::string& indentation) { this->loaderIndentation_ = indentation; }
             /** @brief Returns the indentation of the debug output in the Loader. @return The indentation */
-            inline const std::string& getLoaderIndentation() const { return this->loaderIndentation_; }
+            const std::string& getLoaderIndentation() const { return this->loaderIndentation_; }
 
         private:
Index: code/branches/gcc43/src/core/CommandEvaluation.h
===================================================================
--- code/branches/gcc43/src/core/CommandEvaluation.h	(revision 1581)
+++ code/branches/gcc43/src/core/CommandEvaluation.h	(revision 1634)
@@ -69,14 +69,14 @@
             bool isValid() const;
 
-            inline ConsoleCommand* getConsoleCommand() const
+            ConsoleCommand* getConsoleCommand() const
                 { return this->function_; }
-            inline const std::string& getOriginalCommand() const
+            const std::string& getOriginalCommand() const
                 { return this->originalCommand_; }
-            inline const std::string& getCommand() const
+            const std::string& getCommand() const
                 { return this->command_; }
 
-            inline void setAdditionalParameter(const std::string& param)
+            void setAdditionalParameter(const std::string& param)
                 { this->additionalParameter_ = param; this->bEvaluatedParams_ = false; }
-            inline std::string getAdditionalParameter() const
+            std::string getAdditionalParameter() const
                 { return (this->additionalParameter_ != "") ? (" " + this->additionalParameter_) : ""; }
 
Index: code/branches/gcc43/src/core/ConfigFileManager.h
===================================================================
--- code/branches/gcc43/src/core/ConfigFileManager.h	(revision 1581)
+++ code/branches/gcc43/src/core/ConfigFileManager.h	(revision 1634)
@@ -82,11 +82,11 @@
     {
         public:
-            inline ConfigFileEntryValue(const std::string& name, const std::string& value = "", bool bString = false, const std::string& additionalComment = "") : name_(name), value_(value), bString_(bString), additionalComment_(additionalComment) {}
-            inline virtual ~ConfigFileEntryValue() {}
-
-            inline virtual const std::string& getName() const
+            ConfigFileEntryValue(const std::string& name, const std::string& value = "", bool bString = false, const std::string& additionalComment = "") : name_(name), value_(value), bString_(bString), additionalComment_(additionalComment) {}
+            virtual ~ConfigFileEntryValue() {}
+
+            virtual const std::string& getName() const
                 { return this->name_; }
 
-            inline virtual void setComment(const std::string& comment)
+            virtual void setComment(const std::string& comment)
                 { this->additionalComment_ = comment; }
 
@@ -94,7 +94,7 @@
             virtual std::string getValue() const;
 
-            inline bool isString() const
+            bool isString() const
                 { return this->bString_; }
-            inline void setString(bool bString)
+            void setString(bool bString)
                 { this->bString_ = bString; }
 
@@ -115,8 +115,8 @@
     {
         public:
-            inline ConfigFileEntryVectorValue(const std::string& name, unsigned int index, const std::string& value = "", bool bString = false, const std::string& additionalComment = "") : ConfigFileEntryValue(name, value, bString, additionalComment), index_(index) {}
-            inline virtual ~ConfigFileEntryVectorValue() {}
-
-            inline virtual unsigned int getIndex() const
+            ConfigFileEntryVectorValue(const std::string& name, unsigned int index, const std::string& value = "", bool bString = false, const std::string& additionalComment = "") : ConfigFileEntryValue(name, value, bString, additionalComment), index_(index) {}
+            virtual ~ConfigFileEntryVectorValue() {}
+
+            virtual unsigned int getIndex() const
                 { return this->index_; }
 
@@ -134,21 +134,21 @@
     {
         public:
-            inline ConfigFileEntryComment(const std::string& comment) : comment_(comment) {}
-            inline virtual ~ConfigFileEntryComment() {}
-
-            inline virtual const std::string& getName() const
+            ConfigFileEntryComment(const std::string& comment) : comment_(comment) {}
+            virtual ~ConfigFileEntryComment() {}
+
+            virtual const std::string& getName() const
                 { return this->comment_; }
 
-            inline virtual void setComment(const std::string& comment)
+            virtual void setComment(const std::string& comment)
                 { this->comment_ = comment; }
 
-            inline virtual void setValue(const std::string& value)
+            virtual void setValue(const std::string& value)
                 {}
-            inline virtual std::string getValue() const
+            virtual std::string getValue() const
                 { return this->comment_; }
 
-            inline void setString(bool bString) {}
-
-            inline virtual std::string getFileEntry() const
+            void setString(bool bString) {}
+
+            virtual std::string getFileEntry() const
                 { return this->comment_; }
 
@@ -166,21 +166,21 @@
 
         public:
-            inline ConfigFileSection(const std::string& name, const std::string& additionalComment = "") : name_(name), additionalComment_(additionalComment), bUpdated_(false) {}
+            ConfigFileSection(const std::string& name, const std::string& additionalComment = "") : name_(name), additionalComment_(additionalComment), bUpdated_(false) {}
             ~ConfigFileSection();
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->name_; }
 
-            inline void setComment(const std::string& comment)
+            void setComment(const std::string& comment)
                 { this->additionalComment_ = comment; }
 
-            inline void setValue(const std::string& name, const std::string& value, bool bString)
+            void setValue(const std::string& name, const std::string& value, bool bString)
                 { this->getEntry(name, value, bString)->setValue(value); }
-            inline std::string getValue(const std::string& name, const std::string& fallback, bool bString)
+            std::string getValue(const std::string& name, const std::string& fallback, bool bString)
                 { return this->getEntry(name, fallback, bString)->getValue(); }
 
-            inline void setValue(const std::string& name, unsigned int index, const std::string& value, bool bString)
+            void setValue(const std::string& name, unsigned int index, const std::string& value, bool bString)
                 { this->getEntry(name, index, value, bString)->setValue(value); }
-            inline std::string getValue(const std::string& name, unsigned int index, const std::string& fallback, bool bString)
+            std::string getValue(const std::string& name, unsigned int index, const std::string& fallback, bool bString)
                 { return this->getEntry(name, index, fallback, bString)->getValue(); }
 
@@ -201,7 +201,7 @@
             std::list<ConfigFileEntry*>::iterator getEntryIterator(const std::string& name, unsigned int index, const std::string& fallback, bool bString);
 
-            inline ConfigFileEntry* getEntry(const std::string& name, const std::string& fallback, bool bString)
+            ConfigFileEntry* getEntry(const std::string& name, const std::string& fallback, bool bString)
                 { return (*this->getEntryIterator(name, fallback, bString)); }
-            inline ConfigFileEntry* getEntry(const std::string& name, unsigned int index, const std::string& fallback, bool bString)
+            ConfigFileEntry* getEntry(const std::string& name, unsigned int index, const std::string& fallback, bool bString)
                 { return (*this->getEntryIterator(name, index, fallback, bString)); }
 
@@ -219,5 +219,5 @@
     {
         public:
-            inline ConfigFile(const std::string& filename) : filename_(filename), bUpdated_(false) {}
+            ConfigFile(const std::string& filename) : filename_(filename), bUpdated_(false) {}
             ~ConfigFile();
 
@@ -227,17 +227,17 @@
             void clean(bool bCleanComments = false);
 
-            inline void setValue(const std::string& section, const std::string& name, const std::string& value, bool bString)
+            void setValue(const std::string& section, const std::string& name, const std::string& value, bool bString)
                 { this->getSection(section)->setValue(name, value, bString); this->save(); }
-            inline std::string getValue(const std::string& section, const std::string& name, const std::string& fallback, bool bString)
+            std::string getValue(const std::string& section, const std::string& name, const std::string& fallback, bool bString)
                 { std::string output = this->getSection(section)->getValue(name, fallback, bString); this->saveIfUpdated(); return output; }
 
-            inline void setValue(const std::string& section, const std::string& name, unsigned int index, const std::string& value, bool bString)
+            void setValue(const std::string& section, const std::string& name, unsigned int index, const std::string& value, bool bString)
                 { this->getSection(section)->setValue(name, index, value, bString); this->save(); }
-            inline std::string getValue(const std::string& section, const std::string& name, unsigned int index, const std::string& fallback, bool bString)
+            std::string getValue(const std::string& section, const std::string& name, unsigned int index, const std::string& fallback, bool bString)
                 { std::string output = this->getSection(section)->getValue(name, index, fallback, bString); this->saveIfUpdated(); return output; }
 
-            inline void deleteVectorEntries(const std::string& section, const std::string& name, unsigned int startindex = 0)
+            void deleteVectorEntries(const std::string& section, const std::string& name, unsigned int startindex = 0)
                 { this->getSection(section)->deleteVectorEntries(name, startindex); }
-            inline unsigned int getVectorSize(const std::string& section, const std::string& name)
+            unsigned int getVectorSize(const std::string& section, const std::string& name)
                 { return this->getSection(section)->getVectorSize(name); }
 
@@ -271,17 +271,17 @@
             void clean(ConfigFileType type, bool bCleanComments = false);
 
-            inline void setValue(ConfigFileType type, const std::string& section, const std::string& name, const std::string& value, bool bString)
+            void setValue(ConfigFileType type, const std::string& section, const std::string& name, const std::string& value, bool bString)
                 { this->getFile(type)->setValue(section, name, value, bString); }
-            inline std::string getValue(ConfigFileType type, const std::string& section, const std::string& name, const std::string& fallback, bool bString)
+            std::string getValue(ConfigFileType type, const std::string& section, const std::string& name, const std::string& fallback, bool bString)
                 { return this->getFile(type)->getValue(section, name, fallback, bString); }
 
-            inline void setValue(ConfigFileType type, const std::string& section, const std::string& name, unsigned int index, const std::string& value, bool bString)
+            void setValue(ConfigFileType type, const std::string& section, const std::string& name, unsigned int index, const std::string& value, bool bString)
                 { this->getFile(type)->setValue(section, name, index, value, bString); }
-            inline std::string getValue(ConfigFileType type, const std::string& section, const std::string& name, unsigned int index, const std::string& fallback, bool bString)
+            std::string getValue(ConfigFileType type, const std::string& section, const std::string& name, unsigned int index, const std::string& fallback, bool bString)
                 { return this->getFile(type)->getValue(section, name, index, fallback, bString); }
 
-            inline void deleteVectorEntries(ConfigFileType type, const std::string& section, const std::string& name, unsigned int startindex = 0)
+            void deleteVectorEntries(ConfigFileType type, const std::string& section, const std::string& name, unsigned int startindex = 0)
                 { this->getFile(type)->deleteVectorEntries(section, name, startindex); }
-            inline unsigned int getVectorSize(ConfigFileType type, const std::string& section, const std::string& name)
+            unsigned int getVectorSize(ConfigFileType type, const std::string& section, const std::string& name)
                 { return this->getFile(type)->getVectorSize(section, name); }
 
Index: code/branches/gcc43/src/core/ConfigValueContainer.h
===================================================================
--- code/branches/gcc43/src/core/ConfigValueContainer.h	(revision 1581)
+++ code/branches/gcc43/src/core/ConfigValueContainer.h	(revision 1634)
@@ -79,8 +79,8 @@
             /** @brief Returns the configured value. @param value This is only needed to determine the right type. @return The value */
             template <typename T>
-            inline ConfigValueContainer& getValue(T* value)
+            ConfigValueContainer& getValue(T* value)
                 { this->value_.getValue(value); return *this; }
             template <typename T>
-            inline ConfigValueContainer& getValue(std::vector<T>* value)
+            ConfigValueContainer& getValue(std::vector<T>* value)
             {
                 value->clear();
@@ -91,5 +91,5 @@
 
             template <typename T>
-            inline void setVectorType(const std::vector<T>& value)
+            void setVectorType(const std::vector<T>& value)
             {
                 this->value_ = T();
@@ -97,9 +97,9 @@
             }
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->varname_; }
-            inline bool isVector() const
+            bool isVector() const
                 { return this->bIsVector_; }
-            inline unsigned int getVectorSize() const
+            unsigned int getVectorSize() const
                 { return this->valueVector_.size(); }
 
@@ -119,8 +119,8 @@
 
             /** @brief Converts the config-value to a string. @return The string */
-            inline std::string toString() const
+            std::string toString() const
                 { return this->value_.toString(); }
             /** @brief Returns the typename of the assigned config-value. @return The typename */
-            inline std::string getTypename() const
+            std::string getTypename() const
                 { return this->value_.getTypename(); }
 
Index: code/branches/gcc43/src/core/Identifier.h
===================================================================
--- code/branches/gcc43/src/core/Identifier.h	(revision 1581)
+++ code/branches/gcc43/src/core/Identifier.h	(revision 1634)
@@ -100,5 +100,5 @@
         public:
             /** @brief Sets the Factory. @param factory The factory to assign */
-            inline void addFactory(BaseFactory* factory) { this->factory_ = factory; }
+            void addFactory(BaseFactory* factory) { this->factory_ = factory; }
 
             BaseObject* fabricate();
@@ -115,91 +115,91 @@
 
             /** @brief Returns the name of the class the Identifier belongs to. @return The name */
-            inline const std::string& getName() const { return this->name_; }
+            const std::string& getName() const { return this->name_; }
 
 
             /** @brief Returns the parents of the class the Identifier belongs to. @return The list of all parents */
-            inline const std::set<const Identifier*>& getParents() const { return this->parents_; }
+            const std::set<const Identifier*>& getParents() const { return this->parents_; }
             /** @brief Returns the begin-iterator of the parents-list. @return The begin-iterator */
-            inline std::set<const Identifier*>::const_iterator getParentsBegin() const { return this->parents_.begin(); }
+            std::set<const Identifier*>::const_iterator getParentsBegin() const { return this->parents_.begin(); }
             /** @brief Returns the end-iterator of the parents-list. @return The end-iterator */
-            inline std::set<const Identifier*>::const_iterator getParentsEnd() const { return this->parents_.end(); }
+            std::set<const Identifier*>::const_iterator getParentsEnd() const { return this->parents_.end(); }
 
             /** @brief Returns the children of the class the Identifier belongs to. @return The list of all children */
-            inline const std::set<const Identifier*>& getChildren() const { return (*this->children_); }
+            const std::set<const Identifier*>& getChildren() const { return (*this->children_); }
             /** @brief Returns the begin-iterator of the children-list. @return The begin-iterator */
-            inline std::set<const Identifier*>::const_iterator getChildrenBegin() const { return this->children_->begin(); }
+            std::set<const Identifier*>::const_iterator getChildrenBegin() const { return this->children_->begin(); }
             /** @brief Returns the end-iterator of the children-list. @return The end-iterator */
-            inline std::set<const Identifier*>::const_iterator getChildrenEnd() const { return this->children_->end(); }
+            std::set<const Identifier*>::const_iterator getChildrenEnd() const { return this->children_->end(); }
 
             /** @brief Returns the direct parents of the class the Identifier belongs to. @return The list of all direct parents */
-            inline const std::set<const Identifier*>& getDirectParents() const { return this->directParents_; }
+            const std::set<const Identifier*>& getDirectParents() const { return this->directParents_; }
             /** @brief Returns the begin-iterator of the direct-parents-list. @return The begin-iterator */
-            inline std::set<const Identifier*>::const_iterator getDirectParentsBegin() const { return this->directParents_.begin(); }
+            std::set<const Identifier*>::const_iterator getDirectParentsBegin() const { return this->directParents_.begin(); }
             /** @brief Returns the end-iterator of the direct-parents-list. @return The end-iterator */
-            inline std::set<const Identifier*>::const_iterator getDirectParentsEnd() const { return this->directParents_.end(); }
+            std::set<const Identifier*>::const_iterator getDirectParentsEnd() const { return this->directParents_.end(); }
 
             /** @brief Returns the direct children the class the Identifier belongs to. @return The list of all direct children */
-            inline const std::set<const Identifier*>& getDirectChildren() const { return (*this->directChildren_); }
+            const std::set<const Identifier*>& getDirectChildren() const { return (*this->directChildren_); }
             /** @brief Returns the begin-iterator of the direct-children-list. @return The begin-iterator */
-            inline std::set<const Identifier*>::const_iterator getDirectChildrenBegin() const { return this->directChildren_->begin(); }
+            std::set<const Identifier*>::const_iterator getDirectChildrenBegin() const { return this->directChildren_->begin(); }
             /** @brief Returns the end-iterator of the direct-children-list. @return The end-iterator */
-            inline std::set<const Identifier*>::const_iterator getDirectChildrenEnd() const { return this->directChildren_->end(); }
+            std::set<const Identifier*>::const_iterator getDirectChildrenEnd() const { return this->directChildren_->end(); }
 
 
             /** @brief Returns the map that stores all Identifiers. @return The map */
-            static inline const std::map<std::string, Identifier*>& getIdentifierMap() { return Identifier::getIdentifierMapIntern(); }
+            static const std::map<std::string, Identifier*>& getIdentifierMap() { return Identifier::getIdentifierMapIntern(); }
             /** @brief Returns a const_iterator to the beginning of the map that stores all Identifiers. @return The const_iterator */
-            static inline std::map<std::string, Identifier*>::const_iterator getIdentifierMapBegin() { return Identifier::getIdentifierMap().begin(); }
+            static std::map<std::string, Identifier*>::const_iterator getIdentifierMapBegin() { return Identifier::getIdentifierMap().begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all Identifiers. @return The const_iterator */
-            static inline std::map<std::string, Identifier*>::const_iterator getIdentifierMapEnd() { return Identifier::getIdentifierMap().end(); }
+            static std::map<std::string, Identifier*>::const_iterator getIdentifierMapEnd() { return Identifier::getIdentifierMap().end(); }
 
             /** @brief Returns the map that stores all Identifiers with their names in lowercase. @return The map */
-            static inline const std::map<std::string, Identifier*>& getLowercaseIdentifierMap() { return Identifier::getLowercaseIdentifierMapIntern(); }
+            static const std::map<std::string, Identifier*>& getLowercaseIdentifierMap() { return Identifier::getLowercaseIdentifierMapIntern(); }
             /** @brief Returns a const_iterator to the beginning of the map that stores all Identifiers with their names in lowercase. @return The const_iterator */
-            static inline std::map<std::string, Identifier*>::const_iterator getLowercaseIdentifierMapBegin() { return Identifier::getLowercaseIdentifierMap().begin(); }
+            static std::map<std::string, Identifier*>::const_iterator getLowercaseIdentifierMapBegin() { return Identifier::getLowercaseIdentifierMap().begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all Identifiers with their names in lowercase. @return The const_iterator */
-            static inline std::map<std::string, Identifier*>::const_iterator getLowercaseIdentifierMapEnd() { return Identifier::getLowercaseIdentifierMap().end(); }
+            static std::map<std::string, Identifier*>::const_iterator getLowercaseIdentifierMapEnd() { return Identifier::getLowercaseIdentifierMap().end(); }
 
 
             /** @brief Returns the map that stores all config values. @return The const_iterator */
-            inline const std::map<std::string, ConfigValueContainer*>& getConfigValueMap() const { return this->configValues_; }
+            const std::map<std::string, ConfigValueContainer*>& getConfigValueMap() const { return this->configValues_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all config values. @return The const_iterator */
-            inline std::map<std::string, ConfigValueContainer*>::const_iterator getConfigValueMapBegin() const { return this->configValues_.begin(); }
+            std::map<std::string, ConfigValueContainer*>::const_iterator getConfigValueMapBegin() const { return this->configValues_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all config values. @return The const_iterator */
-            inline std::map<std::string, ConfigValueContainer*>::const_iterator getConfigValueMapEnd() const { return this->configValues_.end(); }
+            std::map<std::string, ConfigValueContainer*>::const_iterator getConfigValueMapEnd() const { return this->configValues_.end(); }
 
             /** @brief Returns the map that stores all config values with their names in lowercase. @return The const_iterator */
-            inline const std::map<std::string, ConfigValueContainer*>& getLowercaseConfigValueMap() const { return this->configValues_LC_; }
+            const std::map<std::string, ConfigValueContainer*>& getLowercaseConfigValueMap() const { return this->configValues_LC_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all config values with their names in lowercase. @return The const_iterator */
-            inline std::map<std::string, ConfigValueContainer*>::const_iterator getLowercaseConfigValueMapBegin() const { return this->configValues_LC_.begin(); }
+            std::map<std::string, ConfigValueContainer*>::const_iterator getLowercaseConfigValueMapBegin() const { return this->configValues_LC_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all config values with their names in lowercase. @return The const_iterator */
-            inline std::map<std::string, ConfigValueContainer*>::const_iterator getLowercaseConfigValueMapEnd() const { return this->configValues_LC_.end(); }
+            std::map<std::string, ConfigValueContainer*>::const_iterator getLowercaseConfigValueMapEnd() const { return this->configValues_LC_.end(); }
 
 
             /** @brief Returns the map that stores all console commands. @return The const_iterator */
-            inline const std::map<std::string, ConsoleCommand*>& getConsoleCommandMap() const { return this->consoleCommands_; }
+            const std::map<std::string, ConsoleCommand*>& getConsoleCommandMap() const { return this->consoleCommands_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all console commands. @return The const_iterator */
-            inline std::map<std::string, ConsoleCommand*>::const_iterator getConsoleCommandMapBegin() const { return this->consoleCommands_.begin(); }
+            std::map<std::string, ConsoleCommand*>::const_iterator getConsoleCommandMapBegin() const { return this->consoleCommands_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all console commands. @return The const_iterator */
-            inline std::map<std::string, ConsoleCommand*>::const_iterator getConsoleCommandMapEnd() const { return this->consoleCommands_.end(); }
+            std::map<std::string, ConsoleCommand*>::const_iterator getConsoleCommandMapEnd() const { return this->consoleCommands_.end(); }
 
             /** @brief Returns the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            inline const std::map<std::string, ConsoleCommand*>& getLowercaseConsoleCommandMap() const { return this->consoleCommands_LC_; }
+            const std::map<std::string, ConsoleCommand*>& getLowercaseConsoleCommandMap() const { return this->consoleCommands_LC_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            inline std::map<std::string, ConsoleCommand*>::const_iterator getLowercaseConsoleCommandMapBegin() const { return this->consoleCommands_LC_.begin(); }
+            std::map<std::string, ConsoleCommand*>::const_iterator getLowercaseConsoleCommandMapBegin() const { return this->consoleCommands_LC_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            inline std::map<std::string, ConsoleCommand*>::const_iterator getLowercaseConsoleCommandMapEnd() const { return this->consoleCommands_LC_.end(); }
+            std::map<std::string, ConsoleCommand*>::const_iterator getLowercaseConsoleCommandMapEnd() const { return this->consoleCommands_LC_.end(); }
 
 
             /** @brief Returns true if this class has at least one config value. @return True if this class has at least one config value */
-            inline bool hasConfigValues() const { return this->bHasConfigValues_; }
+            bool hasConfigValues() const { return this->bHasConfigValues_; }
             /** @brief Returns true if this class has at least one console command. @return True if this class has at least one console command */
-            inline bool hasConsoleCommands() const { return this->bHasConsoleCommands_; }
+            bool hasConsoleCommands() const { return this->bHasConsoleCommands_; }
 
             /** @brief Returns true, if a branch of the class-hierarchy is being created, causing all new objects to store their parents. @return The status of the class-hierarchy creation */
-            inline static bool isCreatingHierarchy() { return (hierarchyCreatingCounter_s > 0); }
+            static bool isCreatingHierarchy() { return (hierarchyCreatingCounter_s > 0); }
 
             /** @brief Returns the network ID to identify a class through the network. @return the network ID */
-            inline const unsigned int getNetworkID() const { return this->classID_; }
+            const unsigned int getNetworkID() const { return this->classID_; }
 
             /** @brief Sets the network ID to a new value. @param id The new value */
@@ -233,12 +233,12 @@
 
             /** @brief Returns the children of the class the Identifier belongs to. @return The list of all children */
-            inline std::set<const Identifier*>& getChildrenIntern() const { return (*this->children_); }
+            std::set<const Identifier*>& getChildrenIntern() const { return (*this->children_); }
             /** @brief Returns the direct children of the class the Identifier belongs to. @return The list of all direct children */
-            inline std::set<const Identifier*>& getDirectChildrenIntern() const { return (*this->directChildren_); }
+            std::set<const Identifier*>& getDirectChildrenIntern() const { return (*this->directChildren_); }
 
             /**
                 @brief Increases the hierarchyCreatingCounter_s variable, causing all new objects to store their parents.
             */
-            inline static void startCreatingHierarchy()
+            static void startCreatingHierarchy()
             {
                 hierarchyCreatingCounter_s++;
@@ -249,5 +249,5 @@
                 @brief Decreases the hierarchyCreatingCounter_s variable, causing the objects to stop storing their parents.
             */
-            inline static void stopCreatingHierarchy()
+            static void stopCreatingHierarchy()
             {
                 hierarchyCreatingCounter_s--;
@@ -302,7 +302,7 @@
             void setName(const std::string& name);
             /** @brief Returns the list of all existing objects of this class. @return The list */
-            inline ObjectList<T>* getObjects() const { return this->objects_; }
+            ObjectList<T>* getObjects() const { return this->objects_; }
             /** @brief Returns a list of all existing objects of this class. @return The list */
-            inline ObjectList<BaseObject>* getObjectList() const { return (ObjectList<BaseObject>*)this->objects_; }
+            ObjectList<BaseObject>* getObjectList() const { return (ObjectList<BaseObject>*)this->objects_; }
 
             void updateConfigValues() const;
@@ -586,29 +586,29 @@
 
             /** @brief Returns the assigned identifier. @return The identifier */
-            inline const Identifier* getIdentifier() const
+            const Identifier* getIdentifier() const
                 { return this->identifier_; }
 
             /** @brief Returns true, if the assigned identifier is at least of the given type. @param identifier The identifier to compare with */
-            inline bool isA(const Identifier* identifier) const
+            bool isA(const Identifier* identifier) const
                 { return this->identifier_->isA(identifier); }
 
             /** @brief Returns true, if the assigned identifier is exactly of the given type. @param identifier The identifier to compare with */
-            inline bool isExactlyA(const Identifier* identifier) const
+            bool isExactlyA(const Identifier* identifier) const
                 { return this->identifier_->isExactlyA(identifier); }
 
             /** @brief Returns true, if the assigned identifier is a child of the given identifier. @param identifier The identifier to compare with */
-            inline bool isChildOf(const Identifier* identifier) const
+            bool isChildOf(const Identifier* identifier) const
                 { return this->identifier_->isChildOf(identifier); }
 
             /** @brief Returns true, if the assigned identifier is a direct child of the given identifier. @param identifier The identifier to compare with */
-            inline bool isDirectChildOf(const Identifier* identifier) const
+            bool isDirectChildOf(const Identifier* identifier) const
                 { return this->identifier_->isDirectChildOf(identifier); }
 
             /** @brief Returns true, if the assigned identifier is a parent of the given identifier. @param identifier The identifier to compare with */
-            inline bool isParentOf(const Identifier* identifier) const
+            bool isParentOf(const Identifier* identifier) const
                 { return this->identifier_->isParentOf(identifier); }
 
             /** @brief Returns true, if the assigned identifier is a direct parent of the given identifier. @param identifier The identifier to compare with */
-            inline bool isDirectParentOf(const Identifier* identifier) const
+            bool isDirectParentOf(const Identifier* identifier) const
                 { return this->identifier_->isDirectParentOf(identifier); }
 
Index: code/branches/gcc43/src/core/Language.h
===================================================================
--- code/branches/gcc43/src/core/Language.h	(revision 1581)
+++ code/branches/gcc43/src/core/Language.h	(revision 1634)
@@ -75,5 +75,5 @@
               @return The translated entry
             */
-            inline const std::string& getLocalisation()
+            const std::string& getLocalisation()
                 { return this->localisedEntry_; }
 
@@ -82,5 +82,5 @@
               @return The default entry
             */
-            inline const std::string& getDefault()
+            const std::string& getDefault()
                 { return this->fallbackEntry_; }
 
@@ -89,5 +89,5 @@
                 @param label The label
             */
-            inline void setLabel(const LanguageEntryLabel& label)
+            void setLabel(const LanguageEntryLabel& label)
                 { this->label_ = label; }
 
@@ -96,5 +96,5 @@
                 @return The label
             */
-            inline const LanguageEntryLabel& getLabel() const
+            const LanguageEntryLabel& getLabel() const
                 { return this->label_; }
 
Index: code/branches/gcc43/src/core/ObjectList.h
===================================================================
--- code/branches/gcc43/src/core/ObjectList.h	(revision 1581)
+++ code/branches/gcc43/src/core/ObjectList.h	(revision 1634)
@@ -94,18 +94,18 @@
 
             /** @brief Returns the first element in the list. @return The first element */
-            inline static Iterator<T> start()
+            static Iterator<T> start()
                 { return Iterator<T>(ClassIdentifier<T>::getIdentifier()->getObjects()->first_); }
 
             /** @brief Returns the first element in the list. @return The first element */
-            inline static Iterator<T> begin()
+            static Iterator<T> begin()
                 { return Iterator<T>(ClassIdentifier<T>::getIdentifier()->getObjects()->first_); }
 
             /** @brief Returns the last element in the list. @return The last element */
-            inline static Iterator<T> end()
+            static Iterator<T> end()
                 { return Iterator<T>(ClassIdentifier<T>::getIdentifier()->getObjects()->last_); }
 
-            inline void registerIterator(Iterator<T>* iterator)
+            void registerIterator(Iterator<T>* iterator)
                 { this->iterators_.insert(this->iterators_.end(), (void*)iterator); }
-            inline void unregisterIterator(Iterator<T>* iterator)
+            void unregisterIterator(Iterator<T>* iterator)
                 { this->iterators_.erase((void*)iterator); }
             void notifyIterators(ObjectListElement<T>* element);
Index: code/branches/gcc43/src/core/OrxonoxClass.h
===================================================================
--- code/branches/gcc43/src/core/OrxonoxClass.h	(revision 1581)
+++ code/branches/gcc43/src/core/OrxonoxClass.h	(revision 1634)
@@ -60,17 +60,17 @@
 
             /** @brief Returns the Identifier of the object. @return The Identifier */
-            inline Identifier* getIdentifier() const { return this->identifier_; }
+            Identifier* getIdentifier() const { return this->identifier_; }
 
             /** @brief Sets the Identifier of the object. Used by the RegisterObject-macro. */
-            inline void setIdentifier(Identifier* identifier) { this->identifier_ = identifier; }
+            void setIdentifier(Identifier* identifier) { this->identifier_ = identifier; }
 
             /** @brief Returns the list of all parents of the object. @return The list */
-            inline std::set<const Identifier*>* getParents() const { return this->parents_; }
+            std::set<const Identifier*>* getParents() const { return this->parents_; }
 
             /** @brief Creates the parents-list. */
-            inline void createParents() { this->parents_ = new std::set<const Identifier*>(); }
+            void createParents() { this->parents_ = new std::set<const Identifier*>(); }
 
             /** @brief Returns the MetaObjectList of the object, containing a link to all ObjectLists and ObjectListElements the object is registered in. @return The list */
-            inline MetaObjectList& getMetaList() { return (*this->metaList_); }
+            MetaObjectList& getMetaList() { return (*this->metaList_); }
 
 
Index: code/branches/gcc43/src/core/OutputBuffer.h
===================================================================
--- code/branches/gcc43/src/core/OutputBuffer.h	(revision 1581)
+++ code/branches/gcc43/src/core/OutputBuffer.h	(revision 1634)
@@ -56,5 +56,5 @@
 
             template <class T>
-            inline OutputBuffer& operator<<(T object)
+            OutputBuffer& operator<<(T object)
             {
                 this->stream_ << object;
@@ -68,5 +68,5 @@
 
             template <class T>
-            inline void add(T object)
+            void add(T object)
             {
                 this->stream_ << object;
@@ -75,5 +75,5 @@
 
             template <class T>
-            inline void addLine(T object)
+            void addLine(T object)
             {
                 this->stream_ << object << std::endl;
@@ -81,5 +81,5 @@
             }
 
-            inline void newline()
+            void newline()
             {
                 this->stream_ << std::endl;
@@ -87,5 +87,5 @@
             }
 
-            inline void flush()
+            void flush()
             {
                 this->stream_.flush();
Index: code/branches/gcc43/src/core/OutputHandler.h
===================================================================
--- code/branches/gcc43/src/core/OutputHandler.h	(revision 1581)
+++ code/branches/gcc43/src/core/OutputHandler.h	(revision 1634)
@@ -63,33 +63,33 @@
 
             /** @brief Puts some text on the outstream. @param text The text */
-            static inline std::string log(const std::string& text)
+            static std::string log(const std::string& text)
                 { OutputHandler::getOutStream().setOutputLevel(0); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Puts an error on the outstream. @param text The text */
-            static inline std::string error(const std::string& text)
+            static std::string error(const std::string& text)
                 { OutputHandler::getOutStream().setOutputLevel(1); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Puts a warning on the outstream. @param text The text */
-            static inline std::string warning(const std::string& text)
+            static std::string warning(const std::string& text)
                 { OutputHandler::getOutStream().setOutputLevel(2); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Puts an info on the outstream. @param text The text */
-            static inline std::string info(const std::string& text)
+            static std::string info(const std::string& text)
                 { OutputHandler::getOutStream().setOutputLevel(3); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Puts some debug output on the outstream. @param text The text */
-            static inline std::string debug(const std::string& text)
+            static std::string debug(const std::string& text)
                 { OutputHandler::getOutStream().setOutputLevel(4); OutputHandler::getOutStream().output(text + "\n"); return text; }
 
             /** @brief Returns a reference to the logfile. @return The logfile */
-            inline std::ofstream& getLogfile()
+            std::ofstream& getLogfile()
                 { return this->logfile_; }
 
             /** @brief Sets the level of the incoming output. @param level The level of the incoming output @return The OutputHandler itself */
-            inline OutputHandler& setOutputLevel(int level)
+            OutputHandler& setOutputLevel(int level)
                 { this->outputLevel_ = level; return *this; }
 
             /** @brief Returns the level of the incoming output. @return The level */
-            inline int getOutputLevel() const
+            int getOutputLevel() const
                 { return this->outputLevel_; }
 
@@ -102,27 +102,27 @@
 
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(unsigned char val)   { return this->output(val); }
+            OutputHandler& operator<<(unsigned char val)   { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(short val)           { return this->output(val); }
+            OutputHandler& operator<<(short val)           { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(unsigned short val)  { return this->output(val); }
+            OutputHandler& operator<<(unsigned short val)  { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(int val)             { return this->output(val); }
+            OutputHandler& operator<<(int val)             { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(unsigned int val)    { return this->output(val); }
+            OutputHandler& operator<<(unsigned int val)    { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(long val)            { return this->output(val); }
+            OutputHandler& operator<<(long val)            { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(unsigned long val)   { return this->output(val); }
+            OutputHandler& operator<<(unsigned long val)   { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(float val)           { return this->output(val); }
+            OutputHandler& operator<<(float val)           { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(double val)          { return this->output(val); }
+            OutputHandler& operator<<(double val)          { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(long double val)     { return this->output(val); }
+            OutputHandler& operator<<(long double val)     { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(const void* val)     { return this->output(val); }
+            OutputHandler& operator<<(const void* val)     { return this->output(val); }
             /** @brief Overloaded << operator, redirects the output to the console and the logfile. @param val The value that should be shown in the console @return A reference to the OutputHandler itself */
-            inline OutputHandler& operator<<(bool val)            { return this->output(val); }
+            OutputHandler& operator<<(bool val)            { return this->output(val); }
 
             OutputHandler& operator<<(std::streambuf* sb);
Index: code/branches/gcc43/src/core/Script.h
===================================================================
--- code/branches/gcc43/src/core/Script.h	(revision 1581)
+++ code/branches/gcc43/src/core/Script.h	(revision 1634)
@@ -56,6 +56,6 @@
 
     public:
-      inline static Script* getInstance() { if (!Script::singletonRef) Script::singletonRef = new Script(); return Script::singletonRef; } // tolua_export
-      inline ~Script() { Script::singletonRef = NULL; };
+      static Script* getInstance() { if (!Script::singletonRef) Script::singletonRef = new Script(); return Script::singletonRef; } // tolua_export
+      ~Script() { Script::singletonRef = NULL; };
 
     void loadFile(std::string filename, bool luaTags);
@@ -69,7 +69,7 @@
 #endif
 
-    inline lua_State* getLuaState() { return luaState_; };
-    inline std::string getLuaOutput() { return output_; };
-    //inline std::string* getFileString() { return &fileString_; };
+    lua_State* getLuaState() { return luaState_; };
+    std::string getLuaOutput() { return output_; };
+    //std::string* getFileString() { return &fileString_; };
 
     unsigned int getNextQuote(const std::string& text, unsigned int start);
Index: code/branches/gcc43/src/core/Script_clean.h
===================================================================
--- code/branches/gcc43/src/core/Script_clean.h	(revision 1581)
+++ code/branches/gcc43/src/core/Script_clean.h	(revision 1634)
@@ -51,6 +51,6 @@
   { // tolua_export
     public:
-      inline static Script* getInstance() { if (!Script::singletonRef) Script::singletonRef = new Script(); return Script::singletonRef; } // tolua_export
-      inline ~Script() { Script::singletonRef = NULL; };
+      static Script* getInstance() { if (!Script::singletonRef) Script::singletonRef = new Script(); return Script::singletonRef; } // tolua_export
+      ~Script() { Script::singletonRef = NULL; };
 
     void loadFile(std::string filename, bool luaTags);
@@ -61,10 +61,10 @@
 
 #if LUA_VERSION_NUM != 501
-    inline static const char * lua_Chunkreader(lua_State *L, void *data, size_t *size) { return NULL;};
+    static const char * lua_Chunkreader(lua_State *L, void *data, size_t *size) { return NULL;};
 #endif
 
-    inline lua_State* getLuaState() { return luaState_; };
-    inline std::string getLuaOutput() { return output_; };
-    //inline std::string* getFileString() { return &fileString_; };
+    lua_State* getLuaState() { return luaState_; };
+    std::string getLuaOutput() { return output_; };
+    //std::string* getFileString() { return &fileString_; };
 
     unsigned int getNextQuote(const std::string& text, unsigned int start);
Index: code/branches/gcc43/src/core/Shell.h
===================================================================
--- code/branches/gcc43/src/core/Shell.h	(revision 1581)
+++ code/branches/gcc43/src/core/Shell.h	(revision 1634)
@@ -72,18 +72,18 @@
 
             void setInputBuffer(InputBuffer* buffer);
-            inline InputBuffer& getInputBuffer()
+            InputBuffer& getInputBuffer()
                 { return (*this->inputBuffer_); }
-            inline OutputBuffer& getOutputBuffer()
+            OutputBuffer& getOutputBuffer()
                 { return this->outputBuffer_; }
 
             void setCursorPosition(unsigned int cursor);
-            inline unsigned int getCursorPosition() const
+            unsigned int getCursorPosition() const
                 { return this->inputBuffer_->getCursorPosition(); }
 
             void setInput(const std::string& input);
 
-            inline void clearInput()
+            void clearInput()
                 { this->setInput(""); }
-            inline std::string getInput() const
+            std::string getInput() const
                 { return this->inputBuffer_->get(); }
 
@@ -94,10 +94,10 @@
             void clearLines();
 
-            inline unsigned int getNumLines() const
+            unsigned int getNumLines() const
                 { return this->lines_.size(); }
-            inline unsigned int getScrollPosition() const
+            unsigned int getScrollPosition() const
                 { return this->scrollPosition_; }
 
-            inline void addOutputLevel(bool bAddOutputLevel)
+            void addOutputLevel(bool bAddOutputLevel)
                 { this->bAddOutputLevel_ = bAddOutputLevel; }
 
Index: code/branches/gcc43/src/core/SignalHandler.h
===================================================================
--- code/branches/gcc43/src/core/SignalHandler.h	(revision 1581)
+++ code/branches/gcc43/src/core/SignalHandler.h	(revision 1634)
@@ -66,5 +66,5 @@
     SignalHandler();
   public:
-    inline static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; }
+    static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; }
     ~SignalHandler(){ SignalHandler::singletonRef = NULL; }
 
@@ -96,5 +96,5 @@
 {
  public:
-   inline static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; };
+   static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; };
    void doCatch( const std::string & appName, const std::string & fileName ) {};
   void dontCatch() {};
Index: code/branches/gcc43/src/core/XMLPort.h
===================================================================
--- code/branches/gcc43/src/core/XMLPort.h	(revision 1581)
+++ code/branches/gcc43/src/core/XMLPort.h	(revision 1634)
@@ -96,5 +96,5 @@
             virtual ~XMLPortParamContainer() {}
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->paramname_; }
 
@@ -243,5 +243,5 @@
             virtual ~XMLPortObjectContainer() {}
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->sectionname_; }
 
Index: code/branches/gcc43/src/core/input/InputBuffer.h
===================================================================
--- code/branches/gcc43/src/core/input/InputBuffer.h	(revision 1581)
+++ code/branches/gcc43/src/core/input/InputBuffer.h	(revision 1634)
@@ -144,20 +144,20 @@
             void updated(const char& update, bool bSingleInput);
 
-            inline std::string get() const
+            std::string get() const
                 { return this->buffer_; }
-            inline unsigned int getSize() const
+            unsigned int getSize() const
                 { return this->buffer_.size(); }
 
-            inline unsigned int getCursorPosition() const
+            unsigned int getCursorPosition() const
                 { return this->cursor_; }
-            inline void setCursorPosition(unsigned int cursor)
+            void setCursorPosition(unsigned int cursor)
                 { if (cursor <= this->buffer_.size()) { this->cursor_ = cursor; } }
-            inline void setCursorToEnd()
+            void setCursorToEnd()
                 { this->cursor_ = this->buffer_.size(); }
-            inline void setCursorToBegin()
+            void setCursorToBegin()
                 { this->cursor_ = 0; }
-            inline void increaseCursor()
+            void increaseCursor()
                 { if (this->cursor_ < this->buffer_.size()) { ++this->cursor_; } }
-            inline void decreaseCursor()
+            void decreaseCursor()
                 { if (this->cursor_ > 0) { --this->cursor_; } }
 
Index: code/branches/gcc43/src/network/ClientInformation.h
===================================================================
--- code/branches/gcc43/src/network/ClientInformation.h	(revision 1581)
+++ code/branches/gcc43/src/network/ClientInformation.h	(revision 1634)
@@ -73,8 +73,8 @@
     bool setGameStateID(int id);
     bool setPartialGamestateID(int id);
-    inline void setShipID(int id){ShipID_=id;}
+    void setShipID(int id){ShipID_=id;}
     
     // get functions
-    inline int getShipID(){return ShipID_;}
+    int getShipID(){return ShipID_;}
     int getID();
     int getGamestateID();
Index: code/branches/gcc43/src/ois/OISMouse.h
===================================================================
--- code/branches/gcc43/src/ois/OISMouse.h	(revision 1581)
+++ code/branches/gcc43/src/ois/OISMouse.h	(revision 1634)
@@ -62,5 +62,5 @@
 
 		//! Button down test
-		inline bool buttonDown( MouseButtonID button ) const
+		bool buttonDown( MouseButtonID button ) const
 		{
 			return ((buttons & ( 1L << button )) == 0) ? false : true;
Index: code/branches/gcc43/src/orxonox/GraphicsEngine.h
===================================================================
--- code/branches/gcc43/src/orxonox/GraphicsEngine.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/GraphicsEngine.h	(revision 1634)
@@ -80,5 +80,5 @@
             void windowClosed      (Ogre::RenderWindow* rw);
 
-            inline unsigned int getDetailLevelParticle() const
+            unsigned int getDetailLevelParticle() const
               { return this->detailLevelParticle_; }
 
Index: code/branches/gcc43/src/orxonox/Orxonox.h
===================================================================
--- code/branches/gcc43/src/orxonox/Orxonox.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/Orxonox.h	(revision 1634)
@@ -62,13 +62,13 @@
 
       void abortRequest();
-      //inline audio::AudioManager* getAudioManagerPointer() { return auMan_; };
+      //audio::AudioManager* getAudioManagerPointer() { return auMan_; };
 
       static Orxonox* getSingleton();
       static void destroySingleton();
 
-      static inline void slomo(float factor) { Orxonox::setTimeFactor(factor); }
+      static void slomo(float factor) { Orxonox::setTimeFactor(factor); }
       static void setTimeFactor(float factor = 1.0);
-      static inline float getTimeFactor() { return Orxonox::getSingleton()->timefactor_; }
-      static inline void exit() { Orxonox::getSingleton()->abortRequest(); }
+      static float getTimeFactor() { return Orxonox::getSingleton()->timefactor_; }
+      static void exit() { Orxonox::getSingleton()->abortRequest(); }
 
    private:
Index: code/branches/gcc43/src/orxonox/hud/BarOverlayElement.h
===================================================================
--- code/branches/gcc43/src/orxonox/hud/BarOverlayElement.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/hud/BarOverlayElement.h	(revision 1634)
@@ -54,9 +54,9 @@
       void clearColours();
 
-      inline void setRightToLeft(bool r2l)
+      void setRightToLeft(bool r2l)
         { this->right2Left_ = r2l; }
-      inline bool getRightToLeft() const
+      bool getRightToLeft() const
         { return this->right2Left_; }
-      inline float getValue() const
+      float getValue() const
         { return this->value_; }
 
Index: code/branches/gcc43/src/orxonox/hud/HUD.h
===================================================================
--- code/branches/gcc43/src/orxonox/hud/HUD.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/hud/HUD.h	(revision 1634)
@@ -55,5 +55,5 @@
         void setFPS();
 
-        inline std::list<RadarObject*>& getRadarObjects()
+        std::list<RadarObject*>& getRadarObjects()
             { return this->roSet_; }
 
Index: code/branches/gcc43/src/orxonox/hud/Navigation.h
===================================================================
--- code/branches/gcc43/src/orxonox/hud/Navigation.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/hud/Navigation.h	(revision 1634)
@@ -49,5 +49,5 @@
         float getDist2Focus() const;
 
-        inline RadarObject* getFocus() const
+        RadarObject* getFocus() const
             { return this->focus_; }
         void releaseFocus();
Index: code/branches/gcc43/src/orxonox/hud/RadarObject.h
===================================================================
--- code/branches/gcc43/src/orxonox/hud/RadarObject.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/hud/RadarObject.h	(revision 1634)
@@ -46,9 +46,9 @@
 
         void setMaterial(const ColourValue& colour, const std::string& texturename);
-        inline void setColour(const ColourValue& colour)
+        void setColour(const ColourValue& colour)
             { this->setMaterial(colour, this->texturename_); }
-        inline void setTexture(const std::string& texturename)
+        void setTexture(const std::string& texturename)
             { this->setMaterial(this->colour_, texturename); }
-        inline void resetMaterial()
+        void resetMaterial()
             { this->setMaterial(this->colour_, this->texturename_); }
 
@@ -56,7 +56,7 @@
         Vector3 getOrientedVelocity() const;
 
-        inline WorldEntity* getObject() const
+        WorldEntity* getObject() const
             { return this->object_; }
-        inline Ogre::PanelOverlayElement* getPanel() const
+        Ogre::PanelOverlayElement* getPanel() const
             { return this->panel_; }
 
Index: code/branches/gcc43/src/orxonox/objects/Camera.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/Camera.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/Camera.h	(revision 1634)
@@ -46,5 +46,5 @@
 
         void setPositionNode(Ogre::SceneNode* node);
-        inline Ogre::SceneNode* getCameraNode() { return this->positionNode_; }
+        Ogre::SceneNode* getCameraNode() { return this->positionNode_; }
         // maybe also BaseObject
         void setTargetNode(Ogre::SceneNode* obj);
@@ -54,5 +54,5 @@
         void tick(float dt);
         void update();
-        inline bool hasFocus() { return this->bHasFocus_; }
+        bool hasFocus() { return this->bHasFocus_; }
 
       private:
Index: code/branches/gcc43/src/orxonox/objects/CameraHandler.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/CameraHandler.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/CameraHandler.h	(revision 1634)
@@ -52,7 +52,7 @@
 
     public:
-      inline static CameraHandler* getInstance() { if (!CameraHandler::singletonRef) CameraHandler::singletonRef = new CameraHandler(); return CameraHandler::singletonRef; }
-      inline ~CameraHandler() { CameraHandler::singletonRef = NULL; }
-      inline Camera* getActiveCamera() { return this->focusList_.back(); }
+      static CameraHandler* getInstance() { if (!CameraHandler::singletonRef) CameraHandler::singletonRef = new CameraHandler(); return CameraHandler::singletonRef; }
+      ~CameraHandler() { CameraHandler::singletonRef = NULL; }
+      Camera* getActiveCamera() { return this->focusList_.back(); }
       /*void registerCamera(Camera* newCam);
       void changeActiveCamera(Camera* setCam);*/
Index: code/branches/gcc43/src/orxonox/objects/ParticleSpawner.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/ParticleSpawner.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/ParticleSpawner.h	(revision 1634)
@@ -43,5 +43,5 @@
             ParticleSpawner(const std::string& templateName, LODParticle::LOD detaillevel, float lifetime, float delay = 0, const Vector3& direction = Vector3::ZERO);
             virtual ~ParticleSpawner();
-            inline ParticleInterface* getParticleInterface() const
+            ParticleInterface* getParticleInterface() const
                 { return this->particle_; }
 
Index: code/branches/gcc43/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/SpaceShip.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/SpaceShip.h	(revision 1634)
@@ -66,17 +66,17 @@
             void getFocus();
 
-            inline float getMaxSpeed() const
+            float getMaxSpeed() const
                 { return this->maxSpeed_; }
-            inline float getMaxSideAndBackSpeed() const
+            float getMaxSideAndBackSpeed() const
                 { return this->maxSideAndBackSpeed_; }
-            inline float getMaxRotation() const
+            float getMaxRotation() const
                 { return this->maxRotation_; }
-            inline float getTransAcc() const
+            float getTransAcc() const
                 { return this->translationAcceleration_; }
-            inline float getRotAcc() const
+            float getRotAcc() const
                 { return this->rotationAcceleration_; }
-            inline float getTransDamp() const
+            float getTransDamp() const
                 { return this->translationDamping_; }
-            inline float getRotDamp() const
+            float getRotDamp() const
                 { return this->rotationDamping_; }
 
@@ -98,11 +98,11 @@
             void doFire();
 
-            inline const Vector3& getDir() const
+            const Vector3& getDir() const
                 { return this->currentDir_; }
-            inline const Vector3& getInitialDir() const
+            const Vector3& getInitialDir() const
                 { return this->initialDir_; }
-            inline const Vector3& getOrth() const
+            const Vector3& getOrth() const
                 { return this->currentOrth_; }
-            inline const Vector3& getInitialOrth() const
+            const Vector3& getInitialOrth() const
                 { return this->initialOrth_; }
 
Index: code/branches/gcc43/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/WorldEntity.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/WorldEntity.h	(revision 1634)
@@ -53,131 +53,131 @@
             virtual void loadParams(TiXmlElement* xmlElem);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual inline bool create(){ return Synchronisable::create(); }
+            virtual bool create(){ return Synchronisable::create(); }
 
             void attachWorldEntity(WorldEntity* entity);
             const WorldEntity* getAttachedWorldEntity(unsigned int index) const;
 
-            inline Ogre::SceneNode* getNode()
+            Ogre::SceneNode* getNode()
                 { return this->node_; }
 
-            inline void setNode(Ogre::SceneNode* node)
+            void setNode(Ogre::SceneNode* node)
                 { this->node_ = node; }
 
-            inline void setPosition(const Vector3& pos)
+            void setPosition(const Vector3& pos)
                 { this->node_->setPosition(pos); }
-            inline void setPositionLoader1(const Vector3& pos)
+            void setPositionLoader1(const Vector3& pos)
                 { this->node_->setPosition(pos); }
-            inline void setPositionLoader2(Real x, Real y, Real z)
+            void setPositionLoader2(Real x, Real y, Real z)
                 { this->node_->setPosition(x, y, z); }
-            inline void setPosition(Real x, Real y, Real z)
+            void setPosition(Real x, Real y, Real z)
                 { this->node_->setPosition(x, y, z); }
-            inline const Vector3& getPosition() const
+            const Vector3& getPosition() const
                 { return this->node_->getPosition(); }
 
-            inline void translate(const Vector3 &d, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
+            void translate(const Vector3 &d, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
                 { this->node_->translate(d, relativeTo); }
-            inline void translate(Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
+            void translate(Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
                 { this->node_->translate(x, y, z, relativeTo); }
-            inline void translate(const Matrix3 &axes, const Vector3 &move, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
+            void translate(const Matrix3 &axes, const Vector3 &move, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
                 { this->node_->translate(axes, move, relativeTo); }
-            inline void translate(const Matrix3 &axes, Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
+            void translate(const Matrix3 &axes, Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_PARENT)
                 { this->node_->translate(axes, x, y, z, relativeTo); }
 
-            inline void yaw(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
+            void yaw(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
                 { this->node_->yaw(angle, relativeTo); }
-            inline void pitch(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
+            void pitch(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
                 { this->node_->pitch(angle, relativeTo); }
-            inline void roll(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
+            void roll(const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
                 { this->node_->roll(angle, relativeTo); }
             void setYawPitchRoll(const Degree& yaw, const Degree& pitch, const Degree& roll);
 
-            inline void setYaw(const Degree &angle)
+            void setYaw(const Degree &angle)
                 { this->node_->yaw(angle, Ogre::Node::TS_LOCAL); }
-            inline void setPitch(const Degree &angle)
+            void setPitch(const Degree &angle)
                 { this->node_->pitch(angle, Ogre::Node::TS_LOCAL); }
-            inline void setRoll(const Degree &angle)
+            void setRoll(const Degree &angle)
                 { this->node_->roll(angle, Ogre::Node::TS_LOCAL); }
 
-            inline const Ogre::Quaternion& getOrientation()
+            const Ogre::Quaternion& getOrientation()
               { return this->node_->getOrientation(); }
-            inline void setOrientation(const Ogre::Quaternion& quat)
+            void setOrientation(const Ogre::Quaternion& quat)
               { this->node_->setOrientation(quat); }
-            inline void rotate(const Vector3 &axis, const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
+            void rotate(const Vector3 &axis, const Radian &angle, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL)
               { this->node_->rotate(axis, angle, relativeTo); }
-            inline void setDirectionLoader(Real x, Real y, Real z)
+            void setDirectionLoader(Real x, Real y, Real z)
               { this->setDirection(x, y, z); }
-            inline void setDirection(Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
+            void setDirection(Real x, Real y, Real z, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
               { this->node_->setDirection(x, y, z, relativeTo, localDirectionVector); }
-            inline void setDirection(const Vector3 &vec, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
+            void setDirection(const Vector3 &vec, Ogre::Node::TransformSpace relativeTo=Ogre::Node::TS_LOCAL, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
               { this->node_->setDirection(vec, relativeTo, localDirectionVector); }
-            inline void lookAt(const Vector3 &targetPoint, Ogre::Node::TransformSpace relativeTo, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
+            void lookAt(const Vector3 &targetPoint, Ogre::Node::TransformSpace relativeTo, const Vector3 &localDirectionVector=Vector3::NEGATIVE_UNIT_Z)
               { this->node_->lookAt(targetPoint, relativeTo, localDirectionVector); }
 
-            inline void setScale(const Vector3 &scale)
+            void setScale(const Vector3 &scale)
               { this->node_->setScale(scale); }
-            inline void setScale(Real x, Real y, Real z)
+            void setScale(Real x, Real y, Real z)
               { this->node_->setScale(x, y, z); }
-            inline void setScale(Real scale)
+            void setScale(Real scale)
               { this->node_->setScale(scale, scale, scale); }
-            inline void setTotalScale(Real scale)
+            void setTotalScale(Real scale)
               { this->node_->setScale(scale, scale, scale); }
-            inline const Vector3& getScale(void) const
+            const Vector3& getScale(void) const
               { return this->node_->getScale(); }
-            inline void scale(const Vector3 &scale)
+            void scale(const Vector3 &scale)
               { this->node_->scale(scale); }
-            inline void scale(Real x, Real y, Real z)
+            void scale(Real x, Real y, Real z)
               { this->node_->scale(x, y, z); }
-            inline void scale(Real scale)
+            void scale(Real scale)
               { this->node_->scale(scale, scale, scale); }
 
-            inline void attachObject(Ogre::MovableObject *obj)
+            void attachObject(Ogre::MovableObject *obj)
               { this->node_->attachObject(obj); }
-            inline void attachObject(Mesh &mesh)
+            void attachObject(Mesh &mesh)
               { this->node_->attachObject(mesh.getEntity()); }
-            inline void detachObject(Ogre::MovableObject *obj)
+            void detachObject(Ogre::MovableObject *obj)
               { this->node_->detachObject(obj); }
-            inline void detachAllObjects()
+            void detachAllObjects()
               { this->node_->detachAllObjects(); }
 
-            inline void setVelocity(const Vector3& velocity)
+            void setVelocity(const Vector3& velocity)
                 { this->velocity_ = velocity; }
-            inline void setVelocity(Real x, Real y, Real z)
+            void setVelocity(Real x, Real y, Real z)
                 { this->velocity_.x = x; this->velocity_.y = y; this->velocity_.z = z; }
-            inline const Vector3& getVelocity() const
+            const Vector3& getVelocity() const
                 { return this->velocity_; }
 
-            inline void setAcceleration(const Vector3& acceleration)
+            void setAcceleration(const Vector3& acceleration)
                 { this->acceleration_ = acceleration; }
-            inline void setAcceleration(Real x, Real y, Real z)
+            void setAcceleration(Real x, Real y, Real z)
                 { this->acceleration_.x = x; this->acceleration_.y = y; this->acceleration_.z = z; }
-            inline const Vector3& getAcceleration() const
+            const Vector3& getAcceleration() const
                 { return this->acceleration_; }
 
-            inline void setRotationAxisLoader(const Vector3& axis)
+            void setRotationAxisLoader(const Vector3& axis)
                 { this->rotationAxis_ = axis; rotationAxis_.normalise(); }
-            inline void setRotationAxis(const Vector3& axis)
+            void setRotationAxis(const Vector3& axis)
                 { this->rotationAxis_ = axis; rotationAxis_.normalise(); }
-            inline void setRotationAxis(Real x, Real y, Real z)
+            void setRotationAxis(Real x, Real y, Real z)
                 { this->rotationAxis_.x = x; this->rotationAxis_.y = y; this->rotationAxis_.z = z; rotationAxis_.normalise(); }
-            inline const Vector3& getRotationAxis() const
+            const Vector3& getRotationAxis() const
                 { return this->rotationAxis_; }
 
-//            inline void setRotationRate(const Radian& angle)
+//            void setRotationRate(const Radian& angle)
 //                { this->rotationRate_ = angle; }
-            inline void setRotationRate(const Degree& angle)
+            void setRotationRate(const Degree& angle)
                 { this->rotationRate_ = angle; this->setStatic(angle == Degree(0)); }
-            inline const Radian& getRotationRate() const
+            const Radian& getRotationRate() const
                 { return this->rotationRate_; }
 
-            inline void setMomentum(const Radian& angle)
+            void setMomentum(const Radian& angle)
                 { this->momentum_ = angle; }
-            inline void setMomentum(const Degree& angle)
+            void setMomentum(const Degree& angle)
                 { this->momentum_ = angle; }
-            inline const Radian& getMomentum() const
+            const Radian& getMomentum() const
                 { return this->momentum_; }
 
-            inline void setStatic(bool bStatic)
+            void setStatic(bool bStatic)
                 { this->bStatic_ = bStatic; }
-            inline bool isStatic()
+            bool isStatic()
                 { return this->bStatic_; }
 
Index: code/branches/gcc43/src/orxonox/objects/weapon/AmmunitionDump.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1634)
@@ -60,5 +60,5 @@
 
   protected:
-    inline bool create() { return Synchronisable::create(); }
+    bool create() { return Synchronisable::create(); }
     void registerAllVariables();
 
Index: code/branches/gcc43/src/orxonox/objects/weapon/BaseWeapon.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/weapon/BaseWeapon.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/weapon/BaseWeapon.h	(revision 1634)
@@ -72,5 +72,5 @@
     void setAmmoDump(AmmunitionDump*);
 
-    inline virtual void loadParams(TiXmlElement* xmlElem) { Model::loadParams(xmlElem); };
+    virtual void loadParams(TiXmlElement* xmlElem) { Model::loadParams(xmlElem); };
 
     virtual void tick(float dt);
Index: code/branches/gcc43/src/orxonox/objects/weapon/Bullet.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/weapon/Bullet.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/weapon/Bullet.h	(revision 1634)
@@ -46,5 +46,5 @@
     virtual void tick(float dt) { }
 
-    inline virtual void loadParams(TiXmlElement* xmlElem) { Model::loadParams(xmlElem); };
+    virtual void loadParams(TiXmlElement* xmlElem) { Model::loadParams(xmlElem); };
  };
 }
Index: code/branches/gcc43/src/orxonox/objects/weapon/BulletManager.h
===================================================================
--- code/branches/gcc43/src/orxonox/objects/weapon/BulletManager.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/objects/weapon/BulletManager.h	(revision 1634)
@@ -57,8 +57,8 @@
     virtual void tick(float dt);
 
-    inline virtual void loadParams(TiXmlElement* xmlElem) { BaseObject::loadParams(xmlElem); };
+    virtual void loadParams(TiXmlElement* xmlElem) { BaseObject::loadParams(xmlElem); };
 
   protected:
-    inline bool create() { return Synchronisable::create(); }
+    bool create() { return Synchronisable::create(); }
     void registerAllVariables();
 
Index: code/branches/gcc43/src/orxonox/tools/BillboardSet.h
===================================================================
--- code/branches/gcc43/src/orxonox/tools/BillboardSet.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/tools/BillboardSet.h	(revision 1634)
@@ -46,13 +46,13 @@
             void setBillboardSet(const std::string& file, const ColourValue& colour = ColourValue(1.0, 1.0, 1.0), int count = 1, const Vector3& position = Vector3::ZERO);
 
-            inline Ogre::BillboardSet* getBillboardSet()
+            Ogre::BillboardSet* getBillboardSet()
                 { return this->billboardSet_; }
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->billboardSet_->getName(); }
 
-            inline void setVisible(bool visible)
+            void setVisible(bool visible)
                 { this->billboardSet_->setVisible(visible); }
-            inline bool getVisible() const
+            bool getVisible() const
                 { return this->billboardSet_->getVisible(); }
 
Index: code/branches/gcc43/src/orxonox/tools/Light.h
===================================================================
--- code/branches/gcc43/src/orxonox/tools/Light.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/tools/Light.h	(revision 1634)
@@ -47,8 +47,8 @@
             void setLight(Ogre::Light::LightTypes type = Ogre::Light::LT_POINT, const ColourValue& diffuse = ColourValue(1.0, 1.0, 1.0), const ColourValue& specular = ColourValue(1.0, 1.0, 1.0));
 
-            inline Ogre::Light* getLight()
+            Ogre::Light* getLight()
                 { return this->light_; }
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->light_->getName(); }
 
Index: code/branches/gcc43/src/orxonox/tools/Mesh.h
===================================================================
--- code/branches/gcc43/src/orxonox/tools/Mesh.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/tools/Mesh.h	(revision 1634)
@@ -45,13 +45,13 @@
             void setMesh(const std::string& file);
 
-            inline Ogre::Entity* getEntity()
+            Ogre::Entity* getEntity()
                 { return this->entity_; }
 
-            inline const std::string& getName() const
+            const std::string& getName() const
                 { return this->entity_->getName(); }
 
-            inline void setVisible(bool visible)
+            void setVisible(bool visible)
                 { this->entity_->setVisible(visible); }
-            inline bool getVisible() const
+            bool getVisible() const
                 { return this->entity_->getVisible(); }
 
Index: code/branches/gcc43/src/orxonox/tools/ParticleInterface.h
===================================================================
--- code/branches/gcc43/src/orxonox/tools/ParticleInterface.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/tools/ParticleInterface.h	(revision 1634)
@@ -51,5 +51,5 @@
       ~ParticleInterface();
 
-      inline Ogre::ParticleSystem* getParticleSystem() const
+      Ogre::ParticleSystem* getParticleSystem() const
         { return this->particleSystem_; }
 
@@ -77,7 +77,7 @@
       void detailLevelChanged(unsigned int newlevel);
 
-      inline void storeThisAsCurrentParticleInterface()
+      void storeThisAsCurrentParticleInterface()
         { ParticleInterface::currentParticleInterface_s = this; }
-      inline static ParticleInterface* getCurrentParticleInterface()
+      static ParticleInterface* getCurrentParticleInterface()
         { return ParticleInterface::currentParticleInterface_s; }
 
Index: code/branches/gcc43/src/orxonox/tools/Timer.h
===================================================================
--- code/branches/gcc43/src/orxonox/tools/Timer.h	(revision 1581)
+++ code/branches/gcc43/src/orxonox/tools/Timer.h	(revision 1634)
@@ -81,29 +81,29 @@
 
             /** @brief Starts the Timer: Function-call after 'interval' seconds. */
-            inline void startTimer()
+            void startTimer()
                 { this->bActive_ = true; this->time_ = this->interval_; }
             /** @brief Stops the Timer. */
-            inline void stopTimer()
+            void stopTimer()
                 { this->bActive_ = false; this->time_ = this->interval_; }
             /** @brief Pauses the Timer - it will continue with the actual state if you unpause it. */
-            inline void pauseTimer()
+            void pauseTimer()
                 { this->bActive_ = false; }
             /** @brief Unpauses the Timer - continues with the given state. */
-            inline void unpauseTimer()
+            void unpauseTimer()
                 { this->bActive_ = true; }
             /** @brief Returns true if the Timer is active (= not stoped, not paused). @return True = Time is active */
-            inline bool isActive() const
+            bool isActive() const
                 { return this->bActive_; }
             /** @brief Gives the Timer some extra time. @param time The amount of extra time in seconds */
-            inline void addTime(float time)
+            void addTime(float time)
                 { this->time_ += time; }
             /** @brief Decreases the remaining time of the Timer. @param time The amount of time to remove */
-            inline void removeTime(float time)
+            void removeTime(float time)
                 { this->time_ -= time; }
             /** @brief Sets the interval of the Timer. @param interval The interval */
-            inline void setInterval(float interval)
+            void setInterval(float interval)
                 { this->interval_ = interval; }
             /** @brief Sets bLoop to a given value. @param bLoop True = loop */
-            inline void setLoop(bool bLoop)
+            void setLoop(bool bLoop)
                 { this->bLoop_ = bLoop; }
 
Index: code/branches/gcc43/src/tinyxml/tinystr.h
===================================================================
--- code/branches/gcc43/src/tinyxml/tinystr.h	(revision 1581)
+++ code/branches/gcc43/src/tinyxml/tinystr.h	(revision 1634)
@@ -267,23 +267,23 @@
 
 
-inline bool operator == (const TiXmlString & a, const TiXmlString & b)
+bool operator == (const TiXmlString & a, const TiXmlString & b)
 {
 	return    ( a.length() == b.length() )				// optimization on some platforms
 	       && ( strcmp(a.c_str(), b.c_str()) == 0 );	// actual compare
 }
-inline bool operator < (const TiXmlString & a, const TiXmlString & b)
+bool operator < (const TiXmlString & a, const TiXmlString & b)
 {
 	return strcmp(a.c_str(), b.c_str()) < 0;
 }
 
-inline bool operator != (const TiXmlString & a, const TiXmlString & b) { return !(a == b); }
-inline bool operator >  (const TiXmlString & a, const TiXmlString & b) { return b < a; }
-inline bool operator <= (const TiXmlString & a, const TiXmlString & b) { return !(b < a); }
-inline bool operator >= (const TiXmlString & a, const TiXmlString & b) { return !(a < b); }
-
-inline bool operator == (const TiXmlString & a, const char* b) { return strcmp(a.c_str(), b) == 0; }
-inline bool operator == (const char* a, const TiXmlString & b) { return b == a; }
-inline bool operator != (const TiXmlString & a, const char* b) { return !(a == b); }
-inline bool operator != (const char* a, const TiXmlString & b) { return !(b == a); }
+bool operator != (const TiXmlString & a, const TiXmlString & b) { return !(a == b); }
+bool operator >  (const TiXmlString & a, const TiXmlString & b) { return b < a; }
+bool operator <= (const TiXmlString & a, const TiXmlString & b) { return !(b < a); }
+bool operator >= (const TiXmlString & a, const TiXmlString & b) { return !(a < b); }
+
+bool operator == (const TiXmlString & a, const char* b) { return strcmp(a.c_str(), b) == 0; }
+bool operator == (const char* a, const TiXmlString & b) { return b == a; }
+bool operator != (const TiXmlString & a, const char* b) { return !(a == b); }
+bool operator != (const char* a, const TiXmlString & b) { return !(b == a); }
 
 TiXmlString operator + (const TiXmlString & a, const TiXmlString & b);
Index: code/branches/gcc43/src/tinyxml/tinyxml.h
===================================================================
--- code/branches/gcc43/src/tinyxml/tinyxml.h	(revision 1581)
+++ code/branches/gcc43/src/tinyxml/tinyxml.h	(revision 1634)
@@ -305,9 +305,9 @@
 
 	static const char* SkipWhiteSpace( const char*, TiXmlEncoding encoding );
-	inline static bool IsWhiteSpace( char c )
+	static bool IsWhiteSpace( char c )
 	{
 		return ( isspace( (unsigned char) c ) || c == '\n' || c == '\r' );
 	}
-	inline static bool IsWhiteSpace( int c )
+	static bool IsWhiteSpace( int c )
 	{
 		if ( c < 256 )
@@ -342,5 +342,5 @@
 	// Get a character, while interpreting entities.
 	// The length can be from 0 to 4 bytes.
-	inline static const char* GetChar( const char* p, char* _value, int* length, TiXmlEncoding encoding )
+	static const char* GetChar( const char* p, char* _value, int* length, TiXmlEncoding encoding )
 	{
 		assert( p );
@@ -397,5 +397,5 @@
 	static int IsAlpha( unsigned char anyByte, TiXmlEncoding encoding );
 	static int IsAlphaNum( unsigned char anyByte, TiXmlEncoding encoding );
-	inline static int ToLower( int v, TiXmlEncoding encoding )
+	static int ToLower( int v, TiXmlEncoding encoding )
 	{
 		if ( encoding == TIXML_ENCODING_UTF8 )
Index: code/branches/gcc43/src/tolua/tolua++.h
===================================================================
--- code/branches/gcc43/src/tolua/tolua++.h	(revision 1581)
+++ code/branches/gcc43/src/tolua/tolua++.h	(revision 1634)
@@ -132,5 +132,5 @@
 
 #ifdef __cplusplus
-static inline const char* tolua_tocppstring (lua_State* L, int narg, const char* def) {
+static const char* tolua_tocppstring (lua_State* L, int narg, const char* def) {
 
 	const char* s = tolua_tostring(L, narg, def);
@@ -138,5 +138,5 @@
 };
 
-static inline const char* tolua_tofieldcppstring (lua_State* L, int lo, int index, const char* def) {
+static const char* tolua_tofieldcppstring (lua_State* L, int lo, int index, const char* def) {
 
 	const char* s = tolua_tofieldstring(L, lo, index, def);
